com.aispeech.dui.dds.agent

## Class ContextIntent

- java.lang.Object
- - com.aispeech.dui.dds.agent.ContextIntent

-     public class ContextIntent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextIntent(java.lang.String key, boolean value)`
    `ContextIntent(java.lang.String key, double value)`
    `ContextIntent(java.lang.String key, float value)`
    `ContextIntent(java.lang.String key, int value)`
    `ContextIntent(java.lang.String key, org.json.JSONArray value)`
    `ContextIntent(java.lang.String key, org.json.JSONObject value)`
    `ContextIntent(java.lang.String key, long value)`
    `ContextIntent(java.lang.String key, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getOption()`
    `java.lang.String` | `getSkillId()`
    `java.lang.Object` | `getValue()`
    `void` | `setOption(java.lang.String option)`
    `void` | `setSkillId(java.lang.String skillId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               java.lang.String value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               int value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               double value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               boolean value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               float value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               long value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               org.json.JSONObject value)

    - #### ContextIntent

          public ContextIntent(java.lang.String key,
                               org.json.JSONArray value)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

    - #### getValue

          public java.lang.Object getValue()

    - #### setSkillId

          public void setSkillId(java.lang.String skillId)

    - #### getSkillId

          public java.lang.String getSkillId()

    - #### getOption

          public java.lang.String getOption()

    - #### setOption

          public void setOption(java.lang.String option)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`